BIM ingame tutorial

From FreeCAD Documentation
Jump to: navigation, search

This documentation is not finished. Please help and contribute documentation.

Gui Command explains how tools should be documented. See Draft ShapeString for an example of a well documented tool. Browse Category:UnfinishedDocu to see incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

BIM tutorial screenshot.png

Tutorial steps

This is the in-game tutorial of the BIM Workbench. It is not meant to be read here on the wiki, but rather to be started from inside FreeCAD, in the BIM workbench, under menu Help -> BIM tutorial. It includes a series of steps to be completed by the user. Each step is terminated by an instance of the {{BIMTutorialAction|descr|goal1|test1|goal2|test2}} template, which informs of the condition that need to be met



Welcome to the BIM workbench!

BIM Tutorial title.jpg

This tutorial will walk you through the different functionalities of the BIM Workbench and help you to get on tracks by modeling a very simple pavilion building. It should take around one hour to complete entirely.

You can interrupt it anytime and resume it later, by selecting menu Help -> Welcome screen, and clicking the BIM Tutorial item again.

Some steps of this tutorial require you to take actions. Those will be indicated below this text box, with an icon showing if the task has been completed or not. But since we are good people here at FreeCAD, it is not mandatory to complete the actions. You can just browse through the tutorial at your convenience.

Note: This tutorial is still being written, and is therefore incomplete! If you have suggestions or things you find unclear, why not help us to make it better on the FreeCAD forum!

Tutorial steps

No action to perform for this step



Set FreeCAD up

FreeCAD has a large preferences system with many options to set, located under menu Edit->Preferences. Each additional workbench can add more preferences pages, which makes it very complex.

The BIM workbench provides a simplified setup screen, which allows to quickly set some of the most useful preferences for BIM work. The BIM preferences screen is located under menu Manage -> BIM Setup (you can also click the corresponding button on the Manage toolbar):

BIM Tutorial 01.jpg

Open the simplified BIM preferences screen now, and set the different options to your liking.

In case of need, hover the mouse over any option or setting to see a description of what it is used for:

BIM Tutorial 02.jpg

In this tutorial, we will work in centimeters. We therefore suggest you to set preferred units as centimeters, and the default grid square size to 10 cm. After you left this screen, these two settings can be changed anytime from the units indicator located on the status bar and from the working plane button on the main toolbars:

BIM tutorial 14.jpg

Tutorial steps

Open the BIM setup screen
True if hasattr(FreeCADGui,"BIMSetupDialog") else False
Set units to centimeters and grid size to 10cm
True if ((FreeCAD.ParamGet("User parameter:BaseApp/Preferences/Units").GetInt("UserSchema",0) == 4) and (FreeCAD.ParamGet("User parameter:BaseApp/Preferences/Mod/Draft").GetFloat("gridSpacing",10) == 100)) else False



Create a new document

If you just installed FreeCAD, you are probably currently looking at the FreeCAD Start Page:

BIM tutorial 13.jpg

The start page lists the latest documents you have been working with, and, on its different tabs, explains how to get help. But in order to start working, we need to create a new, empty document. If you haven't done it yet, create now a new document by using the "Create new..." item of the start page, or by navigating to menu File -> New:

BIM tutorial 09.jpg

You will then find yourself in the 3D space of FreeCAD, ready to work:

BIM tutorial 10.jpg

Tutorial steps

Create a new document
True if FreeCAD.ActiveDocument else False



Find your marks in the 3D view

There are several ways to interact with the mouse. In FreeCAD, these are called navigation styles. You can change the current navigation style anytime by clicking on the navigation style button in the status bar. Hovering the mouse over that button will also show you what each mouse button does. Choose one you are comfortable with.

BIM Tutorial 03.jpg

Controlling how you are viewing your model in the 3D view can be done in multiple ways: Using the mouse (depending on the navigation style you chose), the keyboard (explore the contents of the View menu to find out more), or the navigation cube (click the different arrows and faces of the cube to align the view).

BIM Tutorial 04.jpg

Tutorial steps

Choose a navigation style
True
Set yourself in Top view
True if FreeCADGui.ActiveDocument.ActiveView.getViewDirection().getAngle(FreeCAD.Vector(0,0,-1)) < 0.01 else False



Reorganize the interface

All panels and toolbars in FreeCAD can be moved and reorganized. Larger panels can also be joined by dragging and dropping them on another one. If your screen is too small to display all the toolbars and their contents (truncated toolbars will appear with a >> sign), it might be a good idea to move them to a better position.

BIM Tutorial 05.jpg

Right-clicking on an empty area of the toolbars space also allows you to turn on and off individual toolbars and panels.

Tutorial steps

No action to perform for this step



Prepare your working space

There are many ways to create BIM objects in FreeCAD. You can use the native BIM tools from this workbench, or use any other FreeCAD tool from other workbenches. Both the 2D drawing tools and the 3D BIM tools from this workbench, unlike other workbenches such as Part Design, make extensive use of working planes and snapping.

The working plane is where your next objects will be created. You can set it to one of the basic orthogonal planes (ground, front, side), or use any selected face to define the current working plane. You can also use Working Plane Proxies from menu Utils to store a specific working plane position inside your model. Building Parts also contain an implicit working plane. Changing the current working plane is done by pressing the working plane button on the BIM toolbar. The grid always reflects where the working plane is.

Set the working plane in "Top" mode now:

BIM Tutorial 06.jpg

The snapping tools allow you to place new objects and points precisely according to existing geometry. However, enabling many snapping locations might slow down the drawing operations, so it is wise to only enable the snapping tools you intent to use. Take a moment to review what each of them does, so when needed you will know which can be disabled.

BIM Tutorial 07.jpg

Take special notice of the last one, the working plane snapping tool, as it will force any snapped point to lie on the working plane, thus preventing you to snap above or under the working plane. You will often need to turn it on or off, depending on the operation you are performing.

Tutorial steps

Set the working plane in "Top" (XY) mode
True if ((FreeCAD.DraftWorkingPlane.axis.getAngle(FreeCAD.Vector(0,0,1)) < 0.01) and (FreeCAD.DraftWorkingPlane.weak == False)) else False
Review the different snapping tools
True



Draw a first wall

Let's start building our pavilion by creating some walls. Walls can be drawn either directly with the wall tool, or by first drawing 2D objects such as lines, wires (polylines) or sketches, that will define the baseline of our walls. When you have such a baseline object selected, pressing the Wall tool will automatically convert it into a wall.

First, zoom out until a good part or all of the grid is seen. This will make it much easier to see what we are doing:

BIM tutorial 15.jpg

Then, press the Arch Wall.png Wall button from the toolbar (or choose menu item 3D/BIM -> Wall). Click two points on the grid, vertically aligned, distant by 300 cm. Pressing SHIFT after the first point has been clicked will help you to keep your wall horizontal or vertical. The side panel will inform you of the length of wall while drawing.

BIM tutorial 16.jpg

If you created a wrong wall, no worries! Simply delete it or undo it (menu Edit -> Undo) and try again.

Tutorial steps

Create a wall
bool(len([o for o in FreeCAD.ActiveDocument.Objects if "MakeBlocks" in o.PropertiesList]) == 1)



Draw a second wall

Make a second, horizontal wall of 4 meters (or 400 centimeters) long. Select the Wall tool again, pan and zoom out until you see a good area of the grid, and pick two points from the grid to define the start and end points of the new wall:

BIM tutorial 11.jpg

After they are created, select both walls by pressing CTRL and clicking them both in the 3D view or in the tree view, and adjust their height property to 2.5 meters and their width to 20 centimeters (or any other measurement you are comfortable with, if working in another unit), so they look like this (Use the mouse to rotate the view, according to the navigation style you chose):

BIM tutorial 08.jpg

You can always correct or change properties after a wall or any other BIM object has been created. By expanding the wall object in the tree view, then double-clicking the baseline of the wall, you can also modify its base 2D object. Most BIM objects in FreeCAD are based on another object, such as a baseline or a profile.

BIM tutorial 12.jpg

Tutorial steps

Create two orthogonal wall objects
bool(len([o for o in FreeCAD.ActiveDocument.Objects if "MakeBlocks" in o.PropertiesList]) == 2)
Set their height to 2.50 meters and width to 20 centimeters
bool(len([o for o in FreeCAD.ActiveDocument.Objects if "MakeBlocks" in o.PropertiesList and o.Height.Value == 2500 and o.Width.Value == 200]) == 2)